import Link from 'next/link'

import { LogoIcon } from '@/components/atoms/icons'

import { rootStyles } from './Logo.styles'

import { twMerge } from '@/utils'

type LogoProps = {
	className?: string
}

export function Logo({ className }: LogoProps) {
	return (
		<Link href='/' className={twMerge(rootStyles, className)}>
			<LogoIcon size={34} />
			<span>SDK</span>
		</Link>
	)
}
